org.apache.hc.client5.http.classic.methods

## Enum ClassicHttpRequests

- java.lang.Object
- - java.lang.Enum<ClassicHttpRequests>
  - - org.apache.hc.client5.http.classic.methods.ClassicHttpRequests

All Implemented Interfaces:
  Serializable, Comparable<ClassicHttpRequests>

    public enum ClassicHttpRequests
    extends Enum<ClassicHttpRequests>

Common HTTP methods using `HttpUriRequest` as a HTTP request message representation.

Since:
  5.0

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DELETE`
`GET`
`HEAD`
`OPTIONS`
`PATCH`
`POST`
`PUT`
`TRACE`

### Method Summary

Methods
`HttpUriRequest` `create(String uri)` Creates a request object of the exact subclass of `HttpUriRequest`.
`abstract HttpUriRequest` `create(URI uri)` Creates a request object of the exact subclass of `HttpUriRequest`.
`static ClassicHttpRequests` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ClassicHttpRequests[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DELETE

    public static final ClassicHttpRequests DELETE

#### GET

    public static final ClassicHttpRequests GET

#### HEAD

    public static final ClassicHttpRequests HEAD

#### OPTIONS

    public static final ClassicHttpRequests OPTIONS

#### PATCH

    public static final ClassicHttpRequests PATCH

#### POST

    public static final ClassicHttpRequests POST

#### PUT

    public static final ClassicHttpRequests PUT

#### TRACE

    public static final ClassicHttpRequests TRACE

### Method Detail

#### values

    public static ClassicHttpRequests[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ClassicHttpRequests c : ClassicHttpRequests.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ClassicHttpRequests valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### create

    public HttpUriRequest create(String uri)

Creates a request object of the exact subclass of `HttpUriRequest`.

Parameters:
  `uri` - a non-null URI String.
Returns:
  a new subclass of HttpUriRequest

#### create

    public abstract HttpUriRequest create(URI uri)

Creates a request object of the exact subclass of `HttpUriRequest`.

Parameters:
  `uri` - a non-null URI.
Returns:
  a new subclass of HttpUriRequest